package com.its.vds.xnettcp.vds.protocol;

import com.its.vds.xnettcp.vds.protocol.enums.eVdsOpCode;

import java.nio.ByteBuffer;

public abstract class VdsReqFramePacket {

    protected eVdsOpCode opCode;
    protected short packetNmbr;

    public abstract ByteBuffer getByteBuffer();

    public eVdsOpCode getOpCode() {
        return this.opCode;
    }
    public String getOpCodeDesc() {
        if (this.opCode != null) {
            return opCode.toString();
        }
        return "ERROR: OpCode is Not Set.";
    }
    public short getPacketNmbr() {
        return this.packetNmbr;
    }

}
